compact2, compact3
javax.transaction

## Class InvalidTransactionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - javax.transaction.InvalidTransactionException

All Implemented Interfaces:
  Serializable

    public class InvalidTransactionException
    extends RemoteException

This exception indicates that the request carried an invalid transaction context. For example, this exception could be raised if an error occured when trying to register a resource.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.rmi.RemoteException

`detail`

### Constructor Summary

Constructors
Constructor and Description
`InvalidTransactionException()`
`InvalidTransactionException(String msg)`

### Method Summary

### Methods inherited from class java.rmi.RemoteException

`getCause, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidTransactionException

    public InvalidTransactionException()

#### InvalidTransactionException

    public InvalidTransactionException(String msg)